Skip to main content
List Preset Summaries
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/presets:summariesList \
  --header 'Authorization: <api-key>'
{
  "presetSummaries": [
    {
      "attachmentConfig": {
        "policy": "AUTO"
      },
      "connectorType": "CONNECTOR_TYPE_UNSPECIFIED",
      "createTime": "2023-11-07T05:31:56Z",
      "description": "Custom preset for alerts",
      "entityType": "ENTITY_TYPE_UNSPECIFIED",
      "id": "a16e24c8-4db2-4abf-ba3c-c9e1fc35a3b9",
      "name": "My Preset",
      "parentId": "c246e826-10c2-405e-8d3f-afcc24ad4d15",
      "presetType": "PRESET_TYPE_UNSPECIFIED",
      "updateTime": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

connector_type
enum<string>
Available options:
CONNECTOR_TYPE_UNSPECIFIED,
SLACK,
GENERIC_HTTPS,
PAGERDUTY,
IBM_EVENT_NOTIFICATIONS,
SERVICE_NOW,
EMAIL
entity_type
enum<string>
Available options:
ENTITY_TYPE_UNSPECIFIED,
ALERTS,
TEST_NOTIFICATIONS,
CASES

Response

200 - application/json
presetSummaries
Preset Summary · object[]